using System;
using System.Reflection;
using System.ServiceProcess;
using System.IO;

namespace WSPOSInitiative.Common
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// The main entry point for the application.
        /// </summary>
        static void Main()
        {
            // カレントディレクトリをインストールディレクトリに設定します。
            // Sets the current directory to installation directory.
            string executingAssemblyDirectory = Path.GetDirectoryName(Assembly.GetExecutingAssembly().CodeBase);
            Uri executingAssemblyDirectoryUri = new Uri(executingAssemblyDirectory);
            Directory.SetCurrentDirectory(executingAssemblyDirectoryUri.AbsolutePath);

            ServiceBase[] ServicesToRun;
            ServicesToRun = new ServiceBase[] 
			{ 
				new WSPOSHostService() 
			};
            ServiceBase.Run(ServicesToRun);
        }
    }
}
